v0.18.3 release

This commit is contained in:
Sergey Shepelev 2016-02-13 18:19:04 +05:00 committed by Thomas Goirand
parent dd3f54cfac
commit 0d74d9c411
4 changed files with 19 additions and 11 deletions

8
NEWS
View File

@ -1,14 +1,22 @@
0.18.3
======
* wsgi: Use buffered writes - fixes partial socket.send without custom
writelines(); Github issue #295
* wsgi: TCP_NODELAY enabled by default
0.18.2
======
* wsgi: Fix data loss on partial writes (socket.send); Thanks to Jakub Stasiak
0.18.1
======
* IMPORTANT: do not use Eventlet 0.18.0 and 0.18.1
* patcher: Fix AttributeError in subprocess communicate()
* greenio: Fix "TypeError: an integer is required" in sendto()
0.18.0
======
* IMPORTANT: do not use Eventlet 0.18.0 and 0.18.1
* greenio: Fixed a bug that could cause send() to start an endless loop on
ENOTCONN; Thanks to Seyeong Kim
* wsgi: Fixed UNIX socket address being trimmed in "wsgi starting" log; Thanks

View File

@ -8,6 +8,9 @@ fi
. $PWD/venv-release/bin/activate
pip install -e $PWD
version=
version_next=
main() {
branch="${1-$(git symbolic-ref --short HEAD)}"
version="$(python -c 'import eventlet; print(eventlet.__version__)')"
@ -16,8 +19,6 @@ main() {
echo "Must be on master" >&2
exit 1
fi
create_commit
exit 1
if [[ -n "$(git status --short -uall)" ]]; then
echo "Tree must be clean. git status:" >&2
echo "" >&2
@ -70,7 +71,7 @@ create_commit() {
git diff
confirm "Ready to commit? [Yn] " || exit 1
git commit -a -m "v$version release"
git commit -a -m "v$version_next release"
echo "Re-exec $0 to continue" >&2
exec $0
@ -78,17 +79,16 @@ create_commit() {
bump_version() {
local current=$version
local next
echo "Current version: '$current'" >&2
echo -n "Enter next version (empty to abort): " >&2
read next
if [[ -z "$next" ]]; then
read version_next
if [[ -z "$version_next" ]]; then
exit 1
fi
echo "Next version: '$next'" >&2
echo "Next version: '$version_next'" >&2
local current_tuple="${current//./, }"
local next_tuple="${next//./, }"
local next_tuple="${version_next//./, }"
local version_path="eventlet/__init__.py"
echo "Updating file '$version_path'" >&2
if ! sed -i '' -e "s/($current_tuple)/($next_tuple)/" "$version_path"; then
@ -103,7 +103,7 @@ bump_version() {
local doc_path="doc/real_index.html"
echo "Updating file '$doc_path'" >&2
if ! sed -i '' -e "s/$current/$next/g" "$doc_path"; then
if ! sed -i '' -e "s/$current/$version_next/g" "$doc_path"; then
echo "sed error $?" >&2
exit 1
fi

View File

@ -54,7 +54,7 @@ pip install eventlet
<p>Alternately, you can download the source archive:</p>
<ul>
<li>latest release from <a class="reference external" target="_blank" href="https://pypi.python.org/pypi/eventlet/">PyPi</a>:
<a class="reference external" href="https://pypi.python.org/packages/source/e/eventlet/eventlet-0.18.2.tar.gz">eventlet-0.18.2.tar.gz</a></li>
<a class="reference external" href="https://pypi.python.org/packages/source/e/eventlet/eventlet-0.18.3.tar.gz">eventlet-0.18.3.tar.gz</a></li>
<li>or <a class="reference external" href="https://github.com/eventlet/eventlet/archive/master.zip">latest development version</a></li>
</ul>

View File

@ -1,4 +1,4 @@
version_info = (0, 18, 2)
version_info = (0, 18, 3)
__version__ = '.'.join(map(str, version_info))
try: